Does gcc now depend on libintl-devel ?

gs-cygwin.com@gluelogic.com gs-cygwin.com@gluelogic.com
Mon Feb 26 04:33:17 GMT 2024


Does gcc now depend on libintl-devel ?  Is this dependency declared?

Along with the release of cygwin 3.5.0, my CI on github started failing,
where autoconf would report that a working C compiler was not found for
the Cygwin build.

The github workflow in question: search for "Windows-Cygwin" in
https://github.com/lighttpd/lighttpd1.4/blob/master/.github/workflows/pr.yml

I added libintl-devel package to the package install list and things
started working again.  This was a couple weeks ago and I forget exactly
what I did to reproduce it locally, but if you need more details, I can
try to document more carefully.

Here is the workflow job which failed two weeks ago:
https://github.com/gstrauss/lighttpd1.4/actions/runs/7841762861/job/21398761239
checking whether the C compiler works... no
configure: error: in '/cygdrive/d/a/lighttpd1.4/lighttpd1.4':
configure: error: C compiler cannot create executables

Cheers, Glenn


More information about the Cygwin mailing list